Skip to main content
Share Your Experience: Take the 2024 Developer Survey

Questions tagged [ubuntu]

Use this tag for questions about using and installing Emacs in the Ubuntu Linux operating system.

Filter by
Sorted by
Tagged with
1 vote
0 answers
17 views

Beep sound in Emacs on i3 over Ubuntu not work at all

I had the next configuration: Emacs 27.1 install from Ubuntu servers i3 4.20.1 (03.11.2021) Ubuntu 22.04.4 LTS 64-bit I encounter with lack of beep sound in Emacs, so: C-g not produces any sound M-:...
0 votes
0 answers
14 views

can not delete emacs tmp file

I have created a file by emacs29.3 in ubuntu (running in virtualbox). That folder is a share folder from windows11. Today I deleted the ubutun22.04 and installed a new ubuntu24.04 and add the same ...
0 votes
1 answer
807 views

ESS install fails on Ubuntu 18.04

I had previously installed and used Emacs 25.2.2 and ESS 17.11 on Ubuntu 18.04 (Bionic Beaver). While attempting to update to the latest version of ESS, the ESS install script appears to have failed (...
23 votes
3 answers
3k views

Emacs manuals are missing on Debian/Ubuntu

I was expecting the Emacs Lisp Reference Manual at (C-h i m elisp). But there was no menu elisp or lisp there. C-h v and C-h f work fine for variables or functions though. C-h i 5 takes me to file ...
0 votes
1 answer
37 views

ESS Eval Region/Load file/Eval Function button not showing on starting an R file

I am on Debian 12 / Ubuntu 22. I installed emacs+ess by doing sudo apt install emacs sudo apt install ess When I start an R file, it does not show me the icons for instance for Load file. Can someone ...
3 votes
1 answer
161 views

AUCtex buttons not working

I am assuming this is my error, I just cannot figure out what it is. I have a project76 meerkat running Ubuntu 22.04. I have installed latex using sudo apt install texlive-latex-extra and emacs ...
0 votes
1 answer
49 views

How to properly execute `gif-screencast-stop` before `save-buffers-kill-emacs`?

I am running Emacs 27.1 on Ubuntu. I have installed gif-screencast and have gotten it to start recording whenever i start Emacs by adding (gif-screencast) to my init.el. So far, so good. The problem ...
1 vote
0 answers
215 views

How to run emacs as a systemd service with Wayland on Ubuntu 22.04+?

The stock systemd user service file for emacs 29.1 looks like this: [Unit] Description=Emacs text editor Documentation=info:emacs man:emacs(1) https://gnu.org/software/emacs/ [Service] Type=notify ...
5 votes
3 answers
2k views

Using emacs-snapshot from ppa:ubuntu-elisp/ppa on 22.04

To have the latest emacs, on ubuntu 22.04 I activated the ppa https://launchpad.net/~ubuntu-elisp/+archive/ubuntu/ppa and installed emacs-snapshot from there. When starting it I get the warning: You ...
0 votes
1 answer
56 views

Display emacs from linux (ubuntu) on Mac

I'm SSHing from my macbook into an ubuntu server. I have emacs installed in both places. So far I've found 3 ways to deal with this, and none of them are optimal: run emacs on the ubuntu in the ...
0 votes
0 answers
115 views

Unmet dependencies: emacs-snapshot : Depends: emacs-snapshot-common

Linux Ubuntu 22.04 Emacs 27.1 sudo apt install inxi But get error: Reading package lists... Done Building dependency tree... Done Reading state information... Done You might want to run 'apt --fix-...
7 votes
1 answer
2k views

Packages I never knew they existed cause problems

I'm using Kubuntu 22.04 and I tried to configure my doom-emacs Installation. Then I got these weird error-messages and couldn't figure out how to fix them. So I uninstalled doom and emacs completely ...
1 vote
1 answer
919 views

Does Emacs 26.3 require older version of ImageMagick?

I've just upograded Ubuntu 19.04, which installs imagemagick 7. When trying to start my Emacs install, I see the following error: emacs: error while loading shared libraries: libMagickWand-6.Q16.so.3:...
2 votes
0 answers
664 views

How to install latest org mode 9.5+ version using elisp?

I have used a few steps to keep my org-mode updated from elpa. However, it does not seem to work on the newly released org mode 9.5. With Emacs 27.1 under Ubuntu 20.04, the latest org mode I could ...
0 votes
3 answers
785 views

Some key bindings don't work on Ubuntu 20.04

Some of my many Emacs 27.5's customized key bindings do not work when I work with Ubuntu 20.04 on a Lenovo ThinkPad T15g Gen 1 with a US keyboard. Most key bindings work, but some like super-o or ...
1 vote
1 answer
177 views

Spacemacs crashing on start with Ubuntu 20.04

I'm having a problem where every time I open Spacemacs it immediately crashes on Ubuntu 20.04. It was crashing for some actions with Magit and starting a CIDER REPL so I decided to do a fresh install. ...
0 votes
0 answers
2k views

WSL: emacs gui won't start

I'm on Windows 10 Pro 10.0.21337 (windows insider program) and installed WSL with Ubuntu 20.04. From within ubuntu I said apt-get update apt-get upgrade apt-get install emacs dpkg -l emacs -> ||/ ...
0 votes
1 answer
113 views

Debuggable emacs and vanilla emacs binaries

I'm running Ubuntu 20.04. I would like to build an emacs binary for general usage (no debug symbols) and another emacs binary (when something goes wrong). The build is pretty straight-forward, but I ...
0 votes
1 answer
66 views

C-M-l locks the screen in Ubuntu

Emacs Manual says that C-M-l is to Scroll heuristically to bring useful information onto the screen (reposition-window). When I type C-M-l in Ubuntu, Emacs 27.1, the OS is automatically locking the ...
0 votes
1 answer
134 views

tramp mode on Ubuntu hangs while attempting ssh to 0.0.0.1

With emacs 25.2.2 on Ubuntu 18.04, if I try opening a file over ssh using a path such as /ssh:somehost.example.com:/tmp/testfile, it launches a sub-process that does: /usr/bin/ssh -o ControlPath=%C 0....
0 votes
0 answers
119 views

GUI started emacs has different env vars than terminal started one

I wrote LD_LIBRARY_PATH both in .bashrc and .bash_profile. However, if I started emacs in terminal using emacs, LD_LIBRARY_PATH is shown in getenv. If I started it using GUI, there is no such variable....
1 vote
0 answers
57 views

How can I get an ftp connection to stop timing out in emacs?

I'm using M-x shell in Emacs and just connecting through vanilla ftp from the command line (bash). I remember (many moons ago) I came across a script for Emacs that'd keep a persistent ftp connection ...
2 votes
2 answers
4k views

How to install and use exwm (the emacs based window manager) in Ubuntu 19.04?

I am running Ubuntu 19.04 on my laptop and want to use EXWM as my window manager, but am not sure how to get it into the list of window managers that one can pull down when one logs in. It seems to ...
5 votes
2 answers
973 views

Flycheck r-lintr doesn't find anything

I want to use lintr to check R-files in emacs. According to https://github.com/jimhester/lintr#emacs lintr is fully integrated into flycheck when using ESS. See the installalation documentation ...
0 votes
1 answer
440 views

Emacs config file when installed using snap

I installed Emacs 26 on Ubuntu using snap. Where to find the Emacs configuration file in this context ?
0 votes
0 answers
350 views

Emacs font style and colorisation

I am used to Emacs under Windows 10 and trying to switch to Ubuntu. My Windows 10 Emacs font is M-x describe-font: name (opened by): -outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*-...
1 vote
1 answer
48 views

Emacs terminal - the location before the command prompt

My emacs terminal is currently displaying ;0user@Ubuntu: ~user@Ubuntu:~$". This happened after my friend was using my laptop, and is persisting after uninstalling and reinstalling emacs, as well as ...
0 votes
1 answer
43 views

How can I use the function debian-run-directories in Ubuntu 18?

I had this code in my emacs config to load/include any additional config in the site-start.d folder. It worked well on two debian machines, but currently I need to use Ubuntu 18 with emacs 26.3 and it ...
4 votes
1 answer
252 views

How do I install An Introduction to Programming in Emacs Lisp? [duplicate]

This may sound odd, but when I type C-h i m Emacs Lisp Intro -- it's not there. I'm on Ubuntu 19.10 with Emacs 26.3. I tried apt-get install emacs-lisp-intro as the EmacsWiki said, but there's no such ...
0 votes
2 answers
3k views

emacs org bullets not working

I'm using emacs on ubuntu 19.04. This is my init file (use-package org :ensure t :pin org) (use-package org-bullets :ensure t :config (add-hook 'org-mode-hook (lambda () (...
0 votes
1 answer
937 views

Emacs installed with the Ubuntu application manager runs but isn't in the $PATH. Where is it?

Emacs 26.2 is installed with the application manager, not apt-get. When calling it in the terminal I get : samusz@samusz-K55:~$ emacs La commande « emacs » n'a pas été trouvée, mais peut être ...
0 votes
2 answers
567 views

plantuml requires a header argument (Emacs 24 on Windows' Ubuntu Subsystem)

I'm trying to output images using plantuml-mode. It seems I have plantuml-mode installed successfully, as I can activate the major mode, but I am unable to evaluate using C-c C-c: PlantUML requires ...
1 vote
0 answers
281 views

How to get Emacs use the Ubuntu login password for tramp

Ubuntu 16.04 Emacs 26.1 Emacs needs to open the file with root privileges. Here is my code: (secrets-delete-item "session" "Login") (secrets-create-item "session" "Login" "myParol" :method "sudo" ...
2 votes
0 answers
190 views

Executing buffer twice in Python 3

I set up an environment to write Python 3 Code in my emacs (25.2.2) using python-mode and Elpy on Ubuntu 18.04. Strangely every time I use Python --> Send --> Execute Buffer the program is executed ...
0 votes
1 answer
231 views

Emacs multi-term support for version 25 - Ubuntu 18.04

The requirement is to enable multi-te m support for emacs package. Bydefault in Ubuntu 18.04 default emacs coming with v25, but in this version, I'm unable to enable the multi-term support ( for more ...
0 votes
0 answers
43 views

Emacs report a process which does not exist

When start Emacs from the terminal as me@mbp: ~$ emacs --deamon It prompts that However, there does not exist such a pocesses me@mbp~$ ps 8559 PID TTY STAT TIME COMMAND me@mbp:~$ ps -el ...
2 votes
1 answer
1k views

Why won't "fg" reopen emacs after C-z? [closed]

I open a terminal and type fg like it says but it says no current process. I also tried %emacs and got the same. I'm on trusty tahr 14.04, anyone else got this? *edit: I was following the built-in ...
1 vote
0 answers
642 views

Adjusting to screen resolution changes on GNU/Linux/ubuntu/gnome

I'm running emacs 26.1 on ubuntu 18.04 on a Dell laptop with a high-resolution display. It works very well in that configuration. It also works very well when the laptop is plugged into a lower-...
0 votes
0 answers
297 views

Using Tabs as indentation with Cython emacs

Under my home directory I have a .emacs file which has the following lines - (add-to-list 'load-path "~/.emacs.d/") (require 'cython-mode) and under the .emacs.d directory I have this file - cython-...
0 votes
1 answer
735 views

Can not activate a virtual environment in emacs, but can through the usual shell

I created a virtual environment that I can activate used a command line from Terminal (Ubuntu): source/bin activate I did what follows to achieve the same on emacs: M-! then source/bin activate ...
0 votes
1 answer
774 views

ESS not installable (Ubuntu 18.04)

The day before yesterday, I have experienced my Ubuntu package ess (Version: 17.11-3bionic0) no more configuring properly during apt-get update. I then tried apt-get install -d ess and: dpkg -i /var/...
1 vote
2 answers
296 views

Emacs directory is not readable on Ubuntu

When I start Emacs 25 on Ubuntu, I get this message: cannot open load file permission non accordée , mode-util With emacs25 -debug I've got: Warning: Lisp directory '/usr/share/emacs/25.2/lisp': ...
3 votes
1 answer
2k views

elpa certificate could not be verified

When I run package-list-packages, I'm getting an error: The TLS connection to elpa.gnu.org:443 is insecure for the following reason: certificate could not be verified I found a few other reports of ...
0 votes
1 answer
273 views

How to open Emacs (Terminal) using key combinations?

On Ubuntu, to open the Terminal, we press Ctrl + Alt + t. Do there exist key combinations to open Emacs Terminal (without GUI)?
26 votes
4 answers
17k views

Prebuilt Ubuntu Emacs "25.1"

Where can I find pre-built Emacs for what Ubuntu calls emacs 25.1?
0 votes
0 answers
114 views

What is this mini pop-up box and how do I get rid of it?

I don't know what combination of keys I pressed to bring up this mini-box, but it's annoying me. What is it and how do I get rid of it? EDIT: It pops up when I press C-S-u
2 votes
1 answer
649 views

Enable greek spellchecking

How can I enable greek language spellchecking in Emacs to be the default spellchecking language, and how can change spellchecking between greek and english language? (My system is Ubuntu 14.04 64bit)....
0 votes
0 answers
1k views

Use pylint3 for checking Python 3 code using flycheck

By default, flycheck uses pylint for checking python code. However, the pylint program on Debian/Ubuntu is for checking Python 2, not Python3 (there is instead pylint3 for Python3). How do I ...
1 vote
1 answer
132 views

How do I resolve Ubuntu 16.04 emacs v46.1 default versus compiled v25.2-1 "downgrade"? [closed]

I'm working for the first time on an Ubuntu 16.04 LTS machine, and honestly I'm not sure if this is an emacs build/debian package question or if it's an Ubuntu 16.04 question. Please nudge me in the ...
1 vote
1 answer
957 views

emacs minimal install for Ubuntu server use

Is there a minimal version of emacs? When using apt get install emacs24 on a 16.04 LTS machine the packet manager propose me to install 200 MB worth of stuff... The following NEW packages will be ...